Oftp(1)

NAME
oftp - Open Look X interface to ftp.

SYNOPSIS
oftp [ -options ... ]

DESCRIPTION
oftp is a X ftp interface. It allows retrieval or transmission of selected files and directory trees.

OPTIONS

[-gateway <host>]
    [-animate]

OPTIONS

-gateway <host>
    The geteway key word allow you to specify a ftp gateway. The gateway is assumed to follow the following contention. The the user name is of the form user@remote host.

-animate
    The animate option will animate the icon. This does not work with all window managers. If you are running mwm this option is a noop.

BASIC SCREEN LAYOUT
The screen display for oftp consists of 5 sections: a series of menus quit menu, option menu, file options , multi file options, and help menu; a status window; a remote/local directory window; a series of buttons login, remote/local directory, command shell, reconnect, glob, search, search next, and archie; and a scrolled list window;

The status window display the current actions and error messages.

The remote/local directory window display the remote/local name of the displayed directory.

The login button is used to initiate logins.

The remote/local button toggles between remote and local directory display's.

The command shell button is used to bring up a shell window that contains a command line interface to ftp.

The glob button brings up a dialog shell that will allow selection of files based on regular expression or shell globing commands.

The search button brings up a dialog shell that will search for a file based on regular expression or shell globing.

The next button seearch for the next item based on the regular expression or shell globing commands set by the search button.

The reconnect button is used to restart a ftp session after the server has disconnected.

The archie button brings up a dialog that can be used to search a archie database. This requires that the archie command be some were in the path when oftp is started.

All buttons and menu selections are activated with the left mouse button.

A file can be selected by clicking the left mouse button on the file. Multi file selection are accomplished by clicking the left mouse button on the first file and then dragging the mouses over the files to be selected. Selected files are displayed in reverse video. The current selection file has a square border around it.

The scrolled list window has a popup menu that can be activated by holding down the right mouse button. You can also use the keyboard to select the listing options, local/remote display, sort options, files or directories, and actions to apply to selected files.

You can doubly click the middle mouse button on a directory to cd to it. If you double click the middle mouse button on a file and it is a remote file then the file will be transferred to the local host or if it a local file then it is transferred to the remote host.

FILES
.xftp - Initiation file for oftp

.moxftprc - a .netrc just for oftp.
    It has the same directives as .netrc plus the following three new directives:

    remote_dir <remote dir>
        <remote dir> is the initial remote directory that ftp starts in.

    local_dir <local dir>
        <local dir> is the initial local directory that ftp starts in.

    note <text>
        This is the note that is displayed in the host list window in the connection dialog.

.netrc - See ftp(1).

SEE ALSO
ftp 1